﻿<div ng-controller="updateConsignmentController as vm">
    <form name="userFormUpdate">
        <div class="row">
            <div class="col-xs-12 no-offset">
                <div class="col-xs-12 no-offset">
                    <div class="col-xs-9 col-lg-9">
                        <label class="my-header">Update Consignment </label>
                        <label class="my-header-id" ng-if="senderCSSDetail.consignment_no != null && senderCSSDetail.consignment_no != '' ">No. {{senderCSSDetail.consignment_no}} </label>
                    </div>
                    <div class="col-xs-1 col-lg-1">
                        <div class="div-mystatus">
                            <label class="mybind-status">STATUS</label>
                            <p class="my-detail-status" style="margin-top: -3px;">{{bindStatus.last_status_DT | date: 'dd-MMM-yy'}}</p>
                            <p class="my-detail-status">{{bindStatus.last_status}}</p>
                        </div>
                    </div>
                    <div class="col-xs-1 col-lg-1 div-myupdate">
                        <div>
                            <p class="mybind-status">UPDATED</p>
                            <p class="my-detail-status" style="margin-top: -3px;">{{bindStatus.Updated_DT | date: 'dd-MMM-yy'}}</p>
                            <p class="my-detail-status" style="margin-top: -3px;" ng-if="bindStatus.Updated_By != null && bindStatus.Updated_By != '' ">by {{bindStatus.Updated_By}}</p>
                            @*<p class="my-detail-status" ng-if="bindStatus.Updated_By  == null || bindStatus.Updated_By == '' " style="margin-bottom: 0px;"></p>*@
                        </div>
                    </div>
                    <div class="col-xs-1 col-lg-1">
                        <div class="div-mycreate">
                            <p class="mybind-status">CREATED </p>
                            <p class="my-detail-status" style="margin-top: -3px;">{{bindStatus.Created_DT | date: 'dd-MMM-yy'}}</p>
                            <p class="my-detail-status" style="margin-top: -3px;" ng-if="bindStatus.Created_By != null && bindStatus.Created_By != '' ">by {{bindStatus.Created_By}}</p>
                            @*<p ng-if="bindStatus.Created_By == null || bindStatus.Created_By == '' "></p>*@
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-xs-12 no-offset">
                @*-------- Customer No----------*@
                <div class="col-xs-4 form-group no-offset col-lg-4" ng-class="{ 'has-error': userFormUpdate.CustNo.$touched && userFormUpdate.CustNo.$invalid }">
                    <div class="control-label col-xs-12">
                        <label class="my-label">Customer No.</label>
                    </div>
                    <div class="col-xs-12">
                        <input id="txtCode" name="CustNo" type="text" class="form-control txtInput" maxlength="20" ng-model="cusNo" ng-blur="vm.getCustomerAccountOnTextChanged(cusNo)" placeholder="Customer No." ng-disabled="adminModeHeader" required />
                        <div class="help-block" ng-messages="userFormUpdate.CustNo.$error" ng-if="userFormUpdate.CustNo.$touched" ng-class="{'hidden': cusNo.length > 0}">
                            <p ng-message="minlength">Customer No is too short.</p>
                            <p ng-message="maxlength">Customer No is too long.</p>
                            <p ng-message="required">Customer No is required.</p>
                        </div>
                    </div>
                </div>
                @*-------- Customer Name--------*@
                <div class="col-xs-8 form-group no-offset col-lg-8">
                    <div class="control-label col-xs-12">
                        <label class="my-label">Customer Name</label>
                    </div>
                    <div class="col-xs-12">
                        <input type="text" class="form-control txtInput" maxlength="100" ng-model="cusName" placeholder="Customer Name" ng-disabled="true" />
                    </div>
                </div>
            </div>
            <div class="col-xs-12 no-offset" ng-if="userCustomerAccount.IsEnterpriseUser == true" ng-class="{ 'has-error': userFormUpdate.Consignment.$touched && userFormUpdate.Consignment.$invalid }">
                @*-------- Consignment No----------*@
                <div class="col-xs-4 form-group no-offset col-lg-4">
                    <div class="control-label col-xs-12">
                        <label class="my-label">Consignment No.</label>
                    </div>
                    <div class="col-xs-12">
                        <input id="txtCode" name="Consignment" type="text" class="form-control txtInput" maxlength="50" ng-model="consignmentNo" ng-blur="vm.onChangeConsignmentNo(consignmentNo)" placeholder="Consignment No." ng-disabled="adminModeHeader" required />
                        <div class="help-block" ng-messages="userFormUpdate.Consignment.$error" ng-if="userFormUpdate.Consignment.$touched" ng-class="{'hidden': consignmentNo.length > 0}">
                            <p ng-message="minlength">Consignment No is too short.</p>
                            <p ng-message="maxlength">Consignment No is too long.</p>
                            <p ng-message="required">Consignment No is required.</p>
                        </div>
                    </div>
                    <div class="col-xs-12">
                        <pre ng-if="consignNoShow == true" class="dangerous-text">{{consignNoText}}</pre>
                    </div>
                </div>

                @*<div class="col-xs-8 form-group no-offset col-lg-8">
                        <div class="control-label col-xs-12">
                            <label class="my-label"></label>
                        </div>
                        <div class="col-xs-12">
                            <pre ng-if="consignNoShow == true" class="dangerous-text">{{consignNoText}}</pre>
                        </div>
                    </div>*@

            </div>
            <div class="col-xs-12 no-offset">
                @*-------- Shipping List--------*@
                <div class="col-xs-12 form-group no-offset col-lg-12">
                    <div class="control-label col-xs-12">
                        <label class="my-label" for="">Shipping List</label>
                    </div>
                    @*<div class="col-xs-12" style="padding-left:0px;">
                            <select-box ng-model="xxx"
                                        data="ListFundType"
                                        value="Id"
                                        text="Name"
                                        default-text="Billing"
                                        class="my-form-select" ng-disabled="visible">
                            </select-box>
                        </div>*@
                    <div class="col-xs-12">
                        <input type="text" class="form-control txtInput" ng-model="senderCSSDetail.ShippingList_no" maxlength="100" ng-disabled="true" />
                    </div>
                </div>
            </div>
        </div>

        <fieldset>
            <div class="row">
                <div class="col-xs-12" style="padding: 0px 45px 0px 45px">

                    <div class="panel panel-default ">
                        <div class="panel-heading panel-title-three" data-toggle="collapse"
                             data-target="#collapseOne">
                            <label class="panel-title">
                                SENDER DETAILS
                            </label>
                        </div>
                        <div id="collapseOne" class="panel-collapse collapse">
                            <div class="panel-body">
                                <div class="col-xs-12 no-offset" style="padding-left:0px; padding-right:0px;">
                                    @*-------- Name--------*@
                                    <div class="col-xs-4 form-group no-offset col-lg-4" style="padding-left:0px;">
                                        <div class="control-label col-xs-12">
                                            <label class="my-label required">Name</label>
                                        </div>
                                        <div class="col-xs-12">
                                            <select ui-select2="{minimumResultsForSearch: -1}" ng-model="vm.selectedItem" class="col-xs-12 no-offset" ng-disabled="adminModeSender">
                                                @*ng-disabled="visible"*@
                                                <option ng-repeat="d in senderName" value="{{d.snd_rec_name}}">{{d.snd_rec_name}}</option>
                                            </select>
                                        </div>
                                    </div>
                                    @*-------- Name--------*@
                                    <div class="col-xs-8 form-group no-offset col-lg-8">
                                        <div class="control-label col-xs-12">
                                            @*<label class="my-label">Name</label>*@
                                        </div>
                                        <div class="col-xs-12">
                                            @* <input id="txtCode" type="text" class="form-control txtInput" maxlength="50" ng-model="Fund.Code" placeholder="Name" ng-disabled="true" />*@
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xs-12 no-offset" style="padding-left:0px; padding-right:0px;">
                                    @*-------- Address--------*@
                                    <div class="col-xs-12 form-group no-offset col-lg-12" style="padding-left:0px; padding-right:0px;" ng-class="{ 'has-error': userFormUpdate.Address.$touched && userFormUpdate.Address.$invalid }">
                                        <div class="control-label col-xs-12">
                                            <label class="my-label required">Address</label>
                                        </div>
                                        <div class="col-xs-12">
                                            <input id="txtCode" type="text" class="form-control txtInput" maxlength="100" name="Address" ng-model="bindSenderDetail.address1" required placeholder="Address" ng-disabled="adminModeSender" />
                                            <div class="help-block" ng-messages="userFormUpdate.Address.$error" ng-if="userFormUpdate.Address.$touched" ng-class="{'hidden': bindSenderDetail.address1.length > 0}">
                                                <p ng-message="minlength">Sender Address is too short.</p>
                                                <p ng-message="maxlength">Sender Address is too long.</p>
                                                <p ng-message="required">Sender Address is required.</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xs-12 no-offset" style="padding-left:0px; padding-right:0px;">
                                    <div class="col-xs-12 form-group no-offset col-lg-12" style="padding-left:0px; padding-right:0px;">
                                        <div class="col-xs-12">
                                            <input id="txtCode" type="text" class="form-control txtInput" maxlength="100" ng-model="bindSenderDetail.address2" ng-disabled="adminModeSender" />
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xs-12 no-offset" style="padding-left:0px; padding-right:0px;">
                                    @*-------- Postal Code--------*@
                                    <div class="col-xs-6 form-group no-offset col-lg-6" ng-class="{ 'has-error': userFormUpdate.PostalSender.$touched && userFormUpdate.PostalSender.$invalid }" style="padding-left:0px; padding-right:0px;" style="padding-left:0px; padding-right:0px;">
                                        <div class="control-label col-xs-12">
                                            <label class="my-label required">Postal Code</label>
                                        </div>
                                        @*  <lov ng-model="bindSenderDetail.zipcode" css-code="col-xs-12" text-default="bindSenderDetail.zipcode" ng-open-click="vm.SearchFund()" ng-clear-click="vm.CancelFund()" ng-disabled="adminModeSender" />*@
                                        <div class="col-xs-12 no-offset">
                                            <button type="button" class="btnIcon" ng-click="vm.searchZipCodeSender(bindSenderDetail.zipcode)" ng-disabled="ngDisabled || disabledWhenSelected() || iconOpenDisabled || adminModeRecipient" ng-hide="iconOpenHidden" tabindex="-1">
                                                <span class="fa fa-search"></span>
                                            </button>
                                            <input id="123Code" name="PostalSender" type="search" ng-model="bindSenderDetail.zipcode" class="lovCode form-control txtInput txtInput-feedback"
                                                   ng-disabled="ngDisabled || disabledWhenSelected() || textCodeDisabled || adminModeSender" placeholder="Postal Code" ng-blur="ngBlur()" required>
                                            <div class="help-block" ng-messages="userFormUpdate.PostalSender.$error" ng-if="userFormUpdate.PostalSender.$touched" ng-class="{'hidden': bindSenderDetail.zipcode.length > 0}">
                                                <p ng-message="minlength">Sender postal code is too short.</p>
                                                <p ng-message="maxlength">Sender postal code is too long.</p>
                                                <p ng-message="required">Sender postal code is required</p>
                                            </div>
                                        </div>

                                    </div>
                                    @*-------- Postal Code 2 --------*@
                                    <div class="col-xs-6 form-group no-offset col-lg-6" style="padding-left:0px; padding-right:0px;">
                                        <div class="control-label col-xs-12">
                                            <label class="my-label">&nbsp;</label>
                                        </div>
                                        <div class="col-xs-12">
                                            <input id="txtCode" type="text" class="form-control txtInput" maxlength="100" ng-model="bindSenderDetail.state_name" ng-disabled="true" />
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xs-12 no-offset" style="padding-left:0px; padding-right:0px;">
                                    @*-------- Phone----------*@
                                    <div class="col-xs-6 form-group no-offset col-lg-6" ng-class="{ 'has-error': userFormUpdate.Phone.$touched && userFormUpdate.Phone.$invalid }" style="padding-left:0px; padding-right:0px;">
                                        <div class="control-label col-xs-12">
                                            <label class="my-label required">Phone</label>
                                        </div>
                                        <div class="col-xs-12">
                                            <input id="txtCode" type="tel" class="form-control txtInput" maxlength="20" name="Phone" ng-model="bindSenderDetail.telephone" required placeholder="Phone" ng-disabled="adminModeSender" />
                                            <div class="help-block" ng-messages="userFormUpdate.Phone.$error" ng-if="userFormUpdate.Phone.$touched" ng-class="{'hidden': bindSenderDetail.telephone.length > 0}">
                                                <p ng-message="minlength">Sender Phone is too short.</p>
                                                <p ng-message="maxlength">Sender Phone is too long.</p>
                                                <p ng-message="required">Sender Phone is required.</p>
                                            </div>
                                        </div>
                                    </div>
                                    @*-------- Fax--------*@
                                    <div class="col-xs-6 form-group no-offset col-lg-6" style="padding-left:0px; padding-right:0px;">
                                        <div class="control-label col-xs-12">
                                            <label class="my-label">Fax</label>
                                        </div>
                                        <div class="col-xs-12">
                                            <input type="text" class="form-control txtInput" maxlength="20" ng-model="bindSenderDetail.fax" placeholder="Fax" ng-disabled="adminModeSender" />
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xs-12 no-offset" style="padding-left:0px; padding-right:0px;">
                                    @*-------- Contact----------*@
                                    <div class="col-xs-6 form-group no-offset col-lg-6" ng-class="{ 'has-error': userFormUpdate.Contact.$touched && userFormUpdate.Contact.$invalid }" style="padding-left:0px; padding-right:0px;">
                                        <div class="control-label col-xs-12">
                                            <label class="my-label required">Contact</label>
                                        </div>
                                        <div class="col-xs-12">
                                            <input id="txtCode" type="text" class="form-control txtInput" maxlength="100" name="Contact" ng-model="bindSenderDetail.contact_person" required placeholder="Contact" ng-disabled="adminModeSender" />
                                            <div class="help-block" ng-messages="userFormUpdate.Contact.$error" ng-if="userFormUpdate.Contact.$touched" ng-class="{'hidden': bindSenderDetail.contact_person.length > 0}">
                                                <p ng-message="minlength">Sender contact name is too short.</p>
                                                <p ng-message="maxlength">Sender contact name is too long.</p>
                                                <p ng-message="required">Sender contact name is required</p>
                                            </div>
                                        </div>
                                    </div>
                                    @*-------- Email--------*@
                                    <div class="col-xs-6 form-group no-offset col-lg-6" ng-class="{ 'has-error': userFormUpdate.Email.$touched && userFormUpdate.Email.$invalid }" style="padding-left:0px; padding-right:0px;">
                                        <div class="control-label col-xs-12">
                                            <label class="my-label">Email</label>
                                        </div>
                                        <div class="col-xs-12" ng-if="IsUserCustoms">
                                            <input id="txtCode" type="email" class="form-control txtInput" maxlength="50" name="Email" ng-model="bindSenderDetail.email" placeholder="Email" ng-pattern="/^[^\s]+[^\s]+\.[^\s]{2,}$/" ng-disabled="adminModeSender" />
                                            <div class="help-block" ng-messages="userFormUpdate.Email.$error" @*ng-if="userFormUpdate.Email.$touched"*@ ng-class="{'hidden': bindSenderDetail.email.length > 0 && !userFormUpdate.Email.$error}">
                                                <p ng-message="minlength">Sender email is too short.</p>
                                                <p ng-message="maxlength">Sender email is too long.</p>
                                                <p ng-message="required">Sender email is required</p>
                                                <p ng-message="pattern" style="color: #a94442;">Invalid format for email address</p>
                                            </div>
                                        </div>
                                        <div class="col-xs-12" ng-if="!IsUserCustoms">
                                            <input id="txtCode" type="text" class="form-control txtInput" maxlength="50" name="Email" ng-model="bindSenderDetail.email" placeholder="Email" ng-pattern="/^[^\s]+[^\s]+\.[^\s]{2,}$/" ng-disabled="adminModeSender" />
                                            <div class="help-block" ng-messages="userFormUpdate.Email.$error" @*ng-if="userFormUpdate.Email.$touched"*@ ng-class="{'hidden': bindSenderDetail.email.length > 0 && !userFormUpdate.Email.$error}">
                                                <p ng-message="minlength">Sender email is too short.</p>
                                                <p ng-message="maxlength">Sender email is too long.</p>
                                                <p ng-message="required">Sender email is required</p>
                                                <p ng-message="pattern" style="color: #a94442;">Invalid format for email address</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div> @*<div class="panel panel-default ">*@
                    <div class="panel panel-default ">
                        <div class="panel-heading panel-title-three" data-toggle="collapse"
                             data-target="#collapseTwo">
                            <label class="panel-title">
                                RECIPIENT DETAILS
                            </label>
                        </div>
                        <div id="collapseTwo" class="panel-collapse collapse">
                            <div class="panel-body">
                                <div class="col-xs-12 no-offset" style="padding-left:0px; padding-right:0px;">
                                    @*-------- Telephone----------*@
                                    <div class="col-xs-6 form-group no-offset col-lg-6" ng-class="{ 'has-error': userFormUpdate.Telephone.$touched && userFormUpdate.Telephone.$invalid }" style="padding-left:0px; padding-right:0px;">
                                        <div class="control-label col-xs-12">
                                            <label class="my-label required">Telephone</label>
                                        </div>
                                        <div class="col-xs-12">
                                            <input id="txtCode" type="tel" class="form-control txtInput" maxlength="20" name="Telephone" ng-model="bindRecipientDetail.telephone" ng-blur="vm.getBindRecipientDetailByTelephone(bindRecipientDetail.telephone)" placeholder="Telephone" required ng-disabled="adminModeRecipient" />
                                            <div class="help-block" ng-messages="userFormUpdate.Telephone.$error" ng-if="userFormUpdate.Telephone.$touched" ng-class="{'hidden': bindRecipientDetail.telephone.length > 0}">
                                                <p ng-message="minlength">Recipient telephone is too short.</p>
                                                <p ng-message="maxlength">Recipient telephone is too long.</p>
                                                <p ng-message="required">Recipient telephone is required</p>
                                            </div>
                                        </div>
                                    </div>
                                    @*-------- Cust Ref#--------*@
                                    <div class="col-xs-6 form-group no-offset col-lg-6" style="padding-left:0px; padding-right:0px;">
                                        <div class="control-label col-xs-12">
                                            <label class="my-label">Cust Ref#</label>
                                        </div>
                                        <div class="col-xs-12">
                                            <input id="txtCode" type="text" class="form-control txtInput" maxlength="50" ng-model="bindRecipientDetail.ref_no" placeholder="Cust Ref#" ng-disabled="adminModeRecipient" />
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xs-12 no-offset" style="padding-left:0px; padding-right:0px;">
                                    @*-------- Cost Centre--------*@
                                    <div class="col-xs-6 form-group no-offset col-lg-6" style="padding-left:0px; padding-right:0px;">
                                        <div class="control-label col-xs-12">
                                            <label class="my-label">Cost Centre</label>
                                        </div>
                                        @*<lov ng-model="bindRecipientDetail.cost_centre" id="txtLovFundSearch"
                                            css-code="col-xs-12" css-text="col-xs-12"
                                            ng-open-click="vm.SearchFund()" ng-clear-click="vm.CancelFund()" text-disabled="true" ng-disabled="false" />*@
                                        <div class="col-xs-12 no-offset">
                                            <button type="button" class="btnIcon" ng-click="vm.searchCostCentre(bindRecipientDetail.cost_centre)" ng-disabled="ngDisabled || disabledWhenSelected() || iconOpenDisabled || adminModeRecipient" ng-hide="iconOpenHidden" tabindex="-1">
                                                <span class="fa fa-search"></span>
                                            </button>
                                            <input id="123Code" type="search" ng-model="bindRecipientDetail.cost_centre" class="lovCode form-control txtInput txtInput-feedback"
                                                   ng-disabled="ngDisabled || disabledWhenSelected() || textCodeDisabled || adminModeRecipient" placeholder="Cost Centre" ng-blur="ngBlur()">
                                        </div>

                                    </div>
                                    @*--------  Name--------*@
                                    <div class="col-xs-6 form-group no-offset col-lg-6" ng-class="{ 'has-error': userFormUpdate.RecipientName.$touched && userFormUpdate.RecipientName.$invalid }" style="padding-left:0px; padding-right:0px;">
                                        <div class="control-label col-xs-12">
                                            <label class="my-label required">Name</label>
                                        </div>
                                        <div class="col-xs-12">
                                            <input id="txtCode" type="text" class="form-control txtInput" name="RecipientName" maxlength="100" ng-model="bindRecipientDetail.reference_name" placeholder="Name" required ng-disabled="adminModeRecipient" />
                                            <div class="help-block" ng-messages="userFormUpdate.RecipientName.$error" ng-if="userFormUpdate.RecipientName.$touched" ng-class="{'hidden': bindRecipientDetail.reference_name.length > 0}">
                                                <p ng-message="minlength">Recipient name is too short.</p>
                                                <p ng-message="maxlength">Recipient name is too long.</p>
                                                <p ng-message="required">Recipient name is required</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xs-12 no-offset" style="padding-left:0px; padding-right:0px;">
                                    @*-------- Address--------*@
                                    <div class="col-xs-12 form-group no-offset col-lg-12" ng-class="{ 'has-error': userFormUpdate.RecipientAddress1.$touched && userFormUpdate.RecipientAddress1.$invalid }" style="padding-left:0px; padding-right:0px;">
                                        <div class="control-label col-xs-12">
                                            <label class="my-label required">Address</label>
                                        </div>
                                        <div class="col-xs-12">
                                            <input id="txtCode" type="text" class="form-control txtInput" name="RecipientAddress1" maxlength="100" ng-model="bindRecipientDetail.address1" placeholder="Address" required ng-disabled="adminModeRecipient" />
                                            <div class="help-block" ng-messages="userFormUpdate.RecipientAddress1.$error" ng-if="userFormUpdate.RecipientAddress1.$touched" ng-class="{'hidden': bindRecipientDetail.address1.length > 0}">
                                                <p ng-message="minlength">Recipient address is too short.</p>
                                                <p ng-message="maxlength">Recipient address is too long.</p>
                                                <p ng-message="required">Recipient address is required</p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xs-12 no-offset" style="padding-left:0px; padding-right:0px;">
                                        <div class="col-xs-12 form-group no-offset col-lg-12" style="padding-left:0px; padding-right:0px;">
                                            <div class="col-xs-12">
                                                <input id="txtCode" type="text" class="form-control txtInput" maxlength="100" ng-model="bindRecipientDetail.address2" ng-disabled="adminModeRecipient" />
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xs-12 no-offset" style="padding-left:0px; padding-right:0px;">
                                        @*-------- Postal Code--------*@
                                        <div class="col-xs-6 form-group no-offset col-lg-6" ng-class="{ 'has-error': userFormUpdate.Postal.$touched && userFormUpdate.Postal.$invalid }" style="padding-left:0px; padding-right:0px;">
                                            <div class="control-label col-xs-12">
                                                <label class="my-label required">Postal Code</label>
                                            </div>
                                            <div class="col-xs-12 no-offset">
                                                <button type="button" class="btnIcon" ng-click="vm.searchZipCode(bindRecipientDetail.zipcode)" ng-disabled="ngDisabled || disabledWhenSelected() || iconOpenDisabled || adminModeRecipient" ng-hide="iconOpenHidden" tabindex="-1">
                                                    <span class="fa fa-search"></span>
                                                </button>
                                                <input id="123Code" name="Postal" type="search" ng-model="bindRecipientDetail.zipcode" class="lovCode form-control txtInput txtInput-feedback"
                                                       ng-disabled="ngDisabled || disabledWhenSelected() || textCodeDisabled || adminModeRecipient" placeholder="Postal Code" ng-blur="ngBlur()" required>
                                                <div class="help-block" ng-messages="userFormUpdate.Postal.$error" ng-if="userFormUpdate.Postal.$touched" ng-class="{'hidden': bindRecipientDetail.zipcode.length > 0}">
                                                    <p ng-message="minlength">Recipient postal code is too short.</p>
                                                    <p ng-message="maxlength">Recipient postal code is too long.</p>
                                                    <p ng-message="required">Recipient postal code is required</p>
                                                </div>
                                            </div>


                                        </div>
                                        @*-------- Postal Code 2--------*@
                                        <div class="col-xs-6 form-group no-offset col-lg-6" style="padding-left:0px; padding-right:0px;">
                                            <div class="control-label col-xs-12">
                                                <label class="my-label">&nbsp;</label>
                                            </div>
                                            <div class="col-xs-12">
                                                <input id="txtCode" type="text" class="form-control txtInput" maxlength="100" ng-model="bindRecipientDetail.state_name" ng-disabled="true" />
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xs-6 no-offset" style="padding-left:0px; padding-right:0px;">
                                        @*-------- Fax----------*@
                                        <div class="col-xs-12 form-group no-offset col-lg-12" style="padding-left:0px;">
                                            <div class="control-label col-xs-12">
                                                <label class="my-label">Fax</label>
                                            </div>
                                            <div class="col-xs-12" style="padding-right: 0px;">
                                                <input id="txtCode" type="text" class="form-control txtInput" maxlength="20" ng-model="bindRecipientDetail.fax" placeholder="Fax" ng-disabled="adminModeRecipient" />
                                            </div>
                                        </div>
                                        @*-------- Contact----------*@
                                        <div class="col-xs-12 form-group no-offset col-lg-12" style="padding-left:0px;">
                                            <div class="control-label col-xs-12">
                                                <label class="my-label">Contact</label>
                                            </div>
                                            <div class="col-xs-12" style="padding-right: 0px;">
                                                <input id="txtCode" type="text" class="form-control txtInput" maxlength="100" ng-model="bindRecipientDetail.contactperson" placeholder="Contact" ng-disabled="adminModeRecipient" />
                                            </div>
                                        </div>
                                        @*-------- Service----------*@
                                        <div class="col-xs-12 form-group no-offset col-lg-12">

                                            <label class="my-label required">Service</label>

                                            <select ng-change="vm.onchangeServiceCode()" ng-model="vm.selectedServiceCode" class="col-xs-12 no-offset form-control" ng-disabled="adminModeRecipient">
                                                <option ng-repeat="d in serviceCode" ng-selected="d.service_code == vm.selectedServiceCode" value="{{d.service_code}}">{{d.service_code}}</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-xs-6">
                                        @*-------- Special Delivery Instructions--------*@
                                        <div class="control-label col-xs-12" style="padding-left:0px; padding-right:0px;">
                                            <label class="my-label">Special Delivery Instructions</label>
                                        </div>
                                        <div class="col-xs-12" style="padding-left:0px; padding-right: 0px;">
                                            <textarea ng-model="bindRecipientDetail.remark" placeholder="Special Delivery Instructions" class="form-control" style="height: 182px; max-width: inherit" ng-disabled="adminModeRecipient"> </textarea>
                                        </div>
                                    </div>
                                    <div class="col-xs-12 no-offset" style="padding-left:0px; padding-right:0px;">
                                        @*-------- Goods Description--------*@
                                        <div class="col-xs-12 form-group no-offset col-lg-12" ng-class="{ 'has-error': userFormUpdate.GoodDes.$touched && userFormUpdate.GoodDes.$invalid }" style="padding-left:0px; padding-right:0px;">
                                            <div class="control-label col-xs-12">
                                                <label class="my-label required">Goods Description</label>
                                            </div>
                                            <div class="col-xs-12">
                                                <input id="txtCode" type="text" class="form-control txtInput" maxlength="50" name="GoodDes" ng-model="bindRecipientDetail.GoodsDescription" placeholder="Goods Description" required ng-disabled="adminModeRecipient" />
                                                <div class="help-block" ng-messages="userFormUpdate.GoodDes.$error" ng-if="userFormUpdate.GoodDes.$touched" ng-class="{'hidden': bindRecipientDetail.GoodsDescription.length > 0}">
                                                    <p ng-message="minlength">Recipient Goods Description is too short</p>
                                                    <p ng-message="maxlength">Recipient Goods Description is too long</p>
                                                    <p ng-message="required">Recipient Goods Description is required</p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>  @*<div class="panel panel-default ">*@
                    <div class="panel panel-default" ng-if="adminModePackage == false">
                        <div class="panel-heading panel-title-three" data-toggle="collapse"
                             data-target="#collapseThree">
                            <label class="panel-title">
                                PACKAGE DETAILS 
                            </label>
                        </div>
                        <div id="collapseThree" class="panel-collapse collapse">
                            <div class="panel-body">
                                <div class="col-xs-12 no-offset">
                                    <div>
                                        <div class="fieldsetControl" @*ng-if="UserAccessRight.IsShowSave && UserAccessRight.IsCanSave"*@>
                                            <i class="fa fa-plus-circle fa-2x cursor-pointer my-tooltip2" ng-click="vm.AddRow()"><span class="my-tooltip2text">{{tooltipAdd}}</span></i>
                                            <i class="fa fa-minus-circle fa-2x {{ vm.CheckDisableDeleteButton() }} my-tooltip2" ng-click="vm.RemoveData()"><span class="my-tooltip2text">{{tooltipRemove}}</span></i>
                                        </div>
                                    </div>
                                    <table class="spacing-table2">
                                        <thead>
                                            <tr>
                                                <th class="text-center" @*ng-if="UserAccessRight.IsShowSave && UserAccessRight.IsCanSave"*@>
                                                    <input id="chkSelectedAll" type="checkbox" ng-model="vm.isCheckedAll" ng-change="vm.SelectAll()" />
                                                </th>
                                                <th class="text-center">
                                                    <span>Act Wt</span>
                                                </th>
                                                <th class="text-center">
                                                    <span>Qty</span>
                                                </th>
                                                <th class="text-center">
                                                    <span>Total Kg</span>
                                                </th>
                                                <th class="text-center">
                                                    <span>Width (cm)</span>
                                                </th>
                                                <th class="text-center">
                                                    <span>Breadth (cm)</span>
                                                </th>
                                                <th class="text-center">
                                                    <span>Height (cm)</span>
                                                </th>
                                                <th class="text-center">
                                                    <span></span>
                                                </th>
                                            </tr>
                                        </thead>
                                        <tbody class="text-center">
                                            <tr ng-repeat="item in packageDetail">
                                                <td class="text-center" @*ng-if="UserAccessRight.IsShowSave && UserAccessRight.IsCanSave"*@><input @*id="checkBoxDisplayData{{item.Id}}"*@ ng-model="item.IsSelected" type="checkbox" ng-change="vm.SelectRow(item)"></td>
                                                <td ng-class="{ 'has-error': userFormUpdate.ActWeight.$touched && userFormUpdate.ActWeight.$invalid }">
                                                    <div ng-if="!item.IsEdit">{{item.pkg_wt | number : 2}}</div>
                                                    <input class="text-right" type="text" name="ActWeight" ng-model="item.pkg_wt" ng-if="item.IsEdit" number-texbox placeholder='0.00' decimal-point="2" allow-decimal="true" numeric-point="4" required />
                                                    <div class="help-block" ng-messages="userFormUpdate.ActWeight.$error" ng-if="userFormUpdate.ActWeight.$touched" ng-class="{'hidden': item.pkg_wt != null }">
                                                        <p ng-message="minlength">Act Wt is too short.</p>
                                                        <p ng-message="maxlength">Act Wt is too long.</p>
                                                        <p ng-message="required">Act Wt is required.</p>
                                                    </div>
                                                </td>
                                                <td ng-class="{ 'has-error': userFormUpdate.Quantity.$touched && userFormUpdate.Quantity.$invalid }">
                                                    <div ng-if="!item.IsEdit">{{item.pkg_qty}}</div>
                                                    <input class="text-right" type="text" name="Quantity" ng-model="item.pkg_qty" ng-if="item.IsEdit" number-texbox placeholder='0' decimal-point="0" allow-decimal="false" numeric-point="4" required />
                                                    <div class="help-block" ng-messages="userFormUpdate.Quantity.$error" ng-if="userFormUpdate.Quantity.$touched" ng-class="{'hidden': item.pkg_qty != null}">
                                                        <p ng-message="minlength">Qty is too short.</p>
                                                        <p ng-message="maxlength">Qty is too long.</p>
                                                        <p ng-message="required">Qty is required.</p>
                                                    </div>

                                                </td>
                                                <td>
                                                    <div ng-if="!item.IsEdit">{{item.tot_wt | number : 2}}</div>
                                                </td>
                                                <td>
                                                    <div ng-if="item.pkg_length != null && item.pkg_length != 0 && !item.IsEdit ">{{item.pkg_length}}</div>
                                                    <input class="text-right" type="text" ng-model="item.pkg_length" ng-if="item.IsEdit" number-texbox placeholder='0.00' decimal-point="2" allow-decimal="true" numeric-point="4" />
                                                </td>
                                                <td>
                                                    <div ng-if="item.pkg_breadth != null && item.pkg_breadth != 0 && !item.IsEdit">{{item.pkg_breadth}}</div>
                                                    <input class="text-right" type="text" ng-model="item.pkg_breadth" ng-if="item.IsEdit" number-texbox placeholder='0.00' decimal-point="2" allow-decimal="true" numeric-point="4" />
                                                </td>
                                                <td>
                                                    <div ng-if="item.pkg_height != null && item.pkg_height != 0 && !item.IsEdit">{{item.pkg_height}}</div>
                                                    <input class="text-right" type="text" ng-model="item.pkg_height" ng-if="item.IsEdit" number-texbox placeholder='0.00' decimal-point="2" allow-decimal="true" numeric-point="4" />
                                                </td>
                                                <td>
                                                    <i ng-if="!item.IsEdit" class="fa fa-pencil-square-o fa-2x cursor-pointer my-tooltip2" ng-click="vm.EditRowData(item)"><span class="my-tooltip2text">{{tooltipEdit}}</span></i>
                                                    <i ng-if="item.IsEdit && item.pkg_wt > 0 && item.pkg_qty > 0" class="fa fa-check-circle-o fa-2x cursor-pointer my-tooltip2" ng-click="vm.SaveRowData(item,$index)"><span class="my-tooltip2text">{{tooltipSave}}</span></i>
                                                    <i ng-if="item.IsEdit" class="fa fa-ban cursor-pointer fa-2x my-tooltip2" ng-click="vm.CancelRowData(item,$index)"><span class="my-tooltip2text">{{tooltipCancel}}</span></i>
                                                </td> 
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </fieldset>
        <div class="row">
            <div class="col-xs-12 text-center">
                <pre ng-if="dgText.length > 0" ng-class="{'dangerous-text': dgTextClass, 'notdangerous-text': !dgTextClass}">{{dgText}}</pre>
                @*<p class="dangerous-text" ng-if="validateMessgge.length >  0 "> {{ validateMessgge }}</p>*@


            </div>
            <div class="col-xs-4 text-center">
            </div>
            <div class="col-xs-4 text-center">
                <table ng-if="validateMessgge.length >  0 ">
                    <tr ng-repeat="item in validateMessggeArray">
                        <td>
                            <p class="dangerous-text text-center" @*ng-if="validateMessgge.length >  0 "*@> {{ item }}</p>
                        </td>
                    </tr>
                </table>
            </div>
            <div class="col-xs-4 text-center">
            </div>
        </div>

        <div class="row">
            <div class="col-xs-12 no-offset">
                <hr class="my-hr" />
            </div>
        </div>
        <div class="row">
            <div class="col-xs-12 no-offset" style="margin-top:10px; margin-bottom: 4%;">
                <div class="col-xs-12 form-group no-offset col-lg-12">
                    <div class="col-xs-12">
                            <input ng-if="hideSavebt == false" id="btnCancel" type="button" class="btn btn-crecon-cancel" value="BACK" ng-click="vm.backToIndex()" style="left:30px;">

                            <input ng-if="hideSavebt == false" id="btnDelete" type="button" class="btn btn-crecon-delete" value="DELETE" ng-click="vm.delteConsignment()" style="right:160px;">
                       
                            <input ng-if="hideSavebt == false" id="btnCreate" type="button" class="btn btn-crecon-create" ng-disabled="userFormUpdate.$invalid" value="SAVE" ng-click="vm.SaveConsignment()" style="right:30px;">
                     
                        
                    </div>
                </div>
            </div>

        </div>
    </form>



</div>